# Uses of Class
org.springframework.core.io.support.ResourceRegion

Packages that use ResourceRegion
Package
Description
org.springframework.core.codec
`Encoder` and `Decoder` abstractions to convert between a reactive stream of bytes and Java objects.

## Uses of ResourceRegion in org.springframework.core.codec

Method parameters in org.springframework.core.codec with type arguments of type ResourceRegion
Modifier and Type
Method
Description
`reactor.core.publisher.Flux<DataBuffer>`
ResourceRegionEncoder.`encode(Publisher<? extends ResourceRegion> input, DataBufferFactory bufferFactory, ResolvableType elementType, MimeType mimeType, Map<String,Object> hints)`